<!doctype html>
<html lang="{{ config('app.locale') }}">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <title>ФСИР-мероприятия</title>

        <!-- Fonts -->
        
       
        <link href="{{ asset('/css/bootstrap.min.css') }}" rel="stylesheet" type="text/css">
        <style>
        body{
             background-color: #f7f7f9;
        }
        .navbar-default{
             background-color: #DFE1E9
        }

        </style>
       
    </head>
    <body>
           <!-- меню 1!-->
<nav class="navbar navbar-inverse navbar-fixed-top">
  <div class="container-fluid">
    <div class="navbar-header">    
       <ul class="nav navbar-nav">  
        <div class="navbar-brand" style = "color:white;" >#FSirevents</div>         
       @if( auth()->check() )
          <li><a href="{{action('CRUDController@index')}}">На главную</a></li>
          <li><a href="{{action('CRUDController@create')}}">Добавить мероприятие</a></li>
      @endif
    </ul>
  </div>
    <ul class="nav navbar-nav navbar-right">
       @if( auth()->check() )
             <li class="navbar-brand" style = "color:white;">{{auth()->user()->name }}</li>
            <li><a href="/logout">Sign Out</a></li>
       @else
            <li><a href="{{action('RegistrationController@create')}}">Sign Up</a></li>
            <li><a href="{{action('SessionsController@create')}}">Login</a></li>
      @endif
    </ul>
  </div>
</nav>
    <!-- меню 1!-->
        <br><br><br> 
        @if( auth()->check())     
           @yield('content')
        @else
        <center>
           <h3>Что-то пошло не так...Навреное, вам нужно зайти или зарегистрироваться. ლ(ಠ_ಠ ლ)</h3>
           <img src = "images/pitty_cat.png">
         </center>
        @endif

    </body>
</html>